WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: How to update Firefox & Epiphany browsers on piCore64  (Read 324 times)

Offline tcl_user5

  • Newbie
  • *
  • Posts: 33
How to update Firefox & Epiphany browsers on piCore64
« on: July 23, 2022, 09:50:41 AM »

I am running piCore64 on a RPi-400.  There are 2 browsers currently available in the piCore64 repo- Firefox Nightly-91.7.0esr and Epiphany (version 40).

How can I update from these versions to latest versions of Firefox and Epiphany (version 40.6) which are available in x86_64 repo ?

I tried loading firefox_getLatest.tcz from x86_64 repo and ran firefox_getLatest.sh after installing dependencies based on alerts. However, I am getting errors in /usr/local/bin & the latest version of Firefox is not getting installed.  Similar issue is being faced with other x86_64 browser extensions like chromium-browser, brave-browser etc.

(1) Is there a separate firefox_getLatest extension/script for piCore64 ?

(2) Can x86_64 extensions be made to work in piCore64 with some workaround ?

(3) Existing version of Epiphany is unable to play videos having Digital Rights Management  (DRM).  That's the main reason I am looking for a updated version (apart from a bit of sluggish response encountered in the browser). Can it be resolved by using some add-on/plugin ?

(Firefox-91.7.0 esr is unable to send audio output to Bluetooth device as already mentioned in my earlier post- [urlhttp://forum.tinycorelinux.net/index.php/topic,25856.msg165855.html#msg165855][/url])

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13998
Re: How to update Firefox & Epiphany browsers on piCore64
« Reply #1 on: July 23, 2022, 09:55:57 AM »
x86_64 extensions will not work in piCore64.

I can update epiphany, but did you check the release notes to see if your issue is fixed in version 40.x?

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10364
Re: How to update Firefox & Epiphany browsers on piCore64
« Reply #2 on: July 23, 2022, 10:56:09 AM »
Hi tcl_user5
I don't see any precompiled packages for ARM at the Firefox website:
https://ftp.mozilla.org/pub/firefox/releases/102.0.1/
so the  firefox_getLatest script won't work for this.

You can try the  Firefox 102.0.1-1  found here:
https://archlinuxarm.org/packages/aarch64/firefox

Debian has  91.11.0esr-1  and  102.0.1-3  found here:
https://packages.debian.org/sid/arm64/web/